# Uses of Class
org.apache.qpid.proton.amqp.messaging.Data

Packages that use Data
Package
Description
org.apache.qpid.proton.codec.messaging

## Uses of Data in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return Data
Modifier and Type
Method
Description
`Data`
DataType.`newInstance(Object described)`
`Data`
FastPathDataType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type Data
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Data>>`
FastPathDataType.`getAllEncodings()`
`TypeEncoding<Data>`
FastPathDataType.`getCanonicalEncoding()`
`TypeEncoding<Data>`
FastPathDataType.`getEncoding(Data val)`
`Class<Data>`
DataType.`getTypeClass()`
`Class<Data>`
FastPathDataType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type Data
Modifier and Type
Method
Description
`TypeEncoding<Data>`
FastPathDataType.`getEncoding(Data val)`
`protected Binary`
DataType.`wrap(Data val)`
`void`
FastPathDataType.`write(Data data)`